/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\leviathan artifacts\watercityvendors\SBProvide.cs
Lines of code: 80
***********************************************************/


using System;
using System.Collections;
using Server.Items;

namespace Server.Mobiles
{
	public class SBProvide : SBInfo
	{
		private ArrayList m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBProvide()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override ArrayList BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : ArrayList
		{
			public InternalBuyInfo()
			{
				Add( new GenericBuyInfo( "1060834", typeof( Engines.Plants.PlantBowl ), 1, 20, 0x15FD, 0 ) );

				Add( new GenericBuyInfo( typeof( Arrow ), 1, 20, 0xF3F, 0 ) );
				Add( new GenericBuyInfo( typeof( Bolt ), 3, 20, 0x1BFB, 0 ) );

				Add( new GenericBuyInfo( typeof( Backpack ), 7, 20, 0x9B2, 0 ) );
				Add( new GenericBuyInfo( typeof( Pouch ), 3, 20, 0xE79, 0 ) );
				Add( new GenericBuyInfo( typeof( Bag ), 3, 20, 0xE76, 0 ) );
				
				Add( new GenericBuyInfo( typeof( Candle ), 3, 20, 0xA28, 0 ) );
				Add( new GenericBuyInfo( typeof( Torch ), 4, 20, 0xF6B, 0 ) );
				Add( new GenericBuyInfo( typeof( Lantern ), 1, 20, 0xA25, 0 ) );
					
				//TODO: Oil Flask @ 8GP

				Add( new GenericBuyInfo( typeof( Lockpick ), 6, 20, 0x14FC, 0 ) );

				Add( new GenericBuyInfo( typeof( FloppyHat ), 4, 20, 0x1713, Utility.RandomDyedHue() ) );
				Add( new GenericBuyInfo( typeof( WideBrimHat ), 4, 20, 0x1714, Utility.RandomDyedHue() ) );
				Add( new GenericBuyInfo( typeof( Cap ), 5, 20, 0x1715, Utility.RandomDyedHue() ) );
				Add( new GenericBuyInfo( typeof( TallStrawHat ), 4, 20, 0x1716, Utility.RandomDyedHue() ) );
				Add( new GenericBuyInfo( typeof( StrawHat ), 3, 20, 0x1717, Utility.RandomDyedHue() ) );
				Add( new GenericBuyInfo( typeof( WizardsHat ), 6, 20, 0x1718, Utility.RandomDyedHue() ) );
				Add( new GenericBuyInfo( typeof( LeatherCap ), 5, 20, 0x1DB9, Utility.RandomDyedHue() ) );
				Add( new GenericBuyInfo( typeof( FeatheredHat ), 5, 20, 0x171A, Utility.RandomDyedHue() ) );
				Add( new GenericBuyInfo( typeof( TricorneHat ), 4, 20, 0x171B, Utility.RandomDyedHue() ) );
				Add( new GenericBuyInfo( typeof( Bandana ), 3, 20, 0x1540, Utility.RandomDyedHue() ) );
				Add( new GenericBuyInfo( typeof( SkullCap ), 3, 20, 0x1544, Utility.RandomDyedHue() ) );

				Add( new GenericBuyInfo( typeof( BreadLoaf ), 3, 10, 0x103B, 0 ) );
				Add( new GenericBuyInfo( typeof( LambLeg ), 4, 20, 0x160A, 0 ) );
				Add( new GenericBuyInfo( typeof( ChickenLeg ), 3, 20, 0x1608, 0 ) );
				Add( new GenericBuyInfo( typeof( CookedBird ), 8, 20, 0x9B7, 0 ) );

				Add( new BeverageBuyInfo( typeof( BeverageBottle ), BeverageType.Ale, 3, 20, 0x99F, 0 ) );
				Add( new BeverageBuyInfo( typeof( BeverageBottle ), BeverageType.Wine, 3, 20, 0x9C7, 0 ) );
				Add( new BeverageBuyInfo( typeof( BeverageBottle ), BeverageType.Liquor, 3, 20, 0x99B, 0 ) );
				Add( new BeverageBuyInfo( typeof( Jug ), BeverageType.Cider, 7, 20, 0x9C8, 0 ) );

				Add( new GenericBuyInfo( typeof( Pear ), 1, 20, 0x994, 0 ) );
				Add( new GenericBuyInfo( typeof( Apple ), 1, 20, 0x9D0, 0 ) );

				Add( new GenericBuyInfo( typeof( Beeswax ), 1, 20, 0x1422, 0 ) );

				Add( new GenericBuyInfo( typeof( Garlic ), 1, 20, 0xF84, 0 ) );
				Add( new GenericBuyInfo( typeof( Ginseng ), 1, 20, 0xF85, 0 ) );

				Add( new GenericBuyInfo( typeof( Bottle ), 3, 20, 0xF0E, 0 ) );

				Add( new GenericBuyInfo( typeof( RedBook ), 7, 20, 0xFF1, 0 ) );
				Add( new GenericBuyInfo( typeof( BlueBook ), 7, 20, 0xFF2, 0 ) );
				Add( new GenericBuyInfo( typeof( TanBook ), 7, 20, 0xFF0, 0 ) );

				Add( new GenericBuyInfo( typeof( WoodenBox ), 7, 20, 0xE7D, 0 ) );
				Add( new GenericBuyInfo( typeof( Key ), 1, 20, 0x100E, 0 ) );

				Add( new GenericBuyInfo( typeof( Bedroll ), 3, 20, 0xA59, 0 ) );
				Add( new GenericBuyInfo( typeof( Kindling ), 1, 20, 0xDE1, 0 ) );

				Add( new GenericBuyInfo( "1041205", typeof( Multis.SmallBoatDeed ), 5088, 20, 0x14F2, 0 ) );

				Add( new GenericBuyInfo( "1041060", typeof( HairDye ), 30, 20, 0xEFF, 0 ) );

				Add( new GenericBuyInfo( "1016450", typeof( Chessboard ), 1, 20, 0xFA6, 0 ) );
				Add( new GenericBuyInfo( "1016449", typeof( CheckerBoard ), 1, 20, 0xFA6, 0 ) );
				Add( new GenericBuyInfo( typeof( Backgammon ), 1, 20, 0xE1C, 0 ) );
				if ( Core.AOS )
					Add( new GenericBuyInfo( typeof( Engines.Mahjong.MahjongGame ), 3, 20, 0xFAA, 0 ) );
				Add( new GenericBuyInfo( typeof( Dices ), 1, 20, 0xFA7, 0 ) );

				if ( Core.AOS )
				{
					Add( new GenericBuyInfo( typeof( SmallBagBall ), 1, 20, 0x2256, 0 ) );
					Add( new GenericBuyInfo( typeof( LargeBagBall ), 1, 20, 0x2257, 0 ) );
				}
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
		}
	}
}